Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Interface WorkSubstituteRuntimeMBean

All Superinterfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface WorkSubstituteRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

MBean for accessing runtime information about the worklist

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).

Method Summary
`String[]` | `addWorkSubstituteRules(WorkSubstituteRule[] workSubstituteRules)`
`WorkSubstituteRule[]` | `getAllWorkSubstituteRules()`
`String` | `getWorkSubstitute(String user, Date date)`
`WorkSubstituteRule` | `getWorkSubstituteRule(String ruleId)`
`WorkSubstituteRule[]` | `getWorkSubstituteRulesWithSource(String source)`
`WorkSubstituteRule[]` | `getWorkSubstituteRulesWithTarget(String target)`
`void` | `removeWorkSubstituteRules(String[] workSubstituteRuleIds)`
`void` | `updateWorkSubstituteRules(WorkSubstituteRule[] rules)`

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`preDeregister`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

Method Detail

### addWorkSubstituteRules

    public String[] addWorkSubstituteRules(WorkSubstituteRule[] workSubstituteRules)
                                    throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### removeWorkSubstituteRules

    public void removeWorkSubstituteRules(String[] workSubstituteRuleIds)
                                   throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### getAllWorkSubstituteRules

    public WorkSubstituteRule[] getAllWorkSubstituteRules()
                                                   throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### getWorkSubstituteRulesWithSource

    public WorkSubstituteRule[] getWorkSubstituteRulesWithSource(String source)
                                                          throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### getWorkSubstituteRulesWithTarget

    public WorkSubstituteRule[] getWorkSubstituteRulesWithTarget(String target)
                                                          throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### getWorkSubstitute

    public String getWorkSubstitute(String user,
                                    Date date)
                             throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### getWorkSubstituteRule

    public WorkSubstituteRule getWorkSubstituteRule(String ruleId)
                                             throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### updateWorkSubstituteRules

    public void updateWorkSubstituteRules(WorkSubstituteRule[] rules)
                                   throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD